#include <avr/io.h>
#include <util/delay.h>

#include "usart.h"
#include "lcd.h"

int main()
{
	static FILE lcd_stderr = FDEV_SETUP_STREAM( lcd_putchar, 0, _FDEV_SETUP_WRITE );
	stderr = &lcd_stderr;

    usart_init();
    lcd_init();

    usart_puts( "Hello from the AVR!\n\r" );

    char buffer[ 100 ];

    while( 1 ) {
        lcd_clear_home();
        usart_gets( buffer, 100 );
        fprintf( stderr, buffer );
    }

	return 0;
}
